#include "PreCounts.h"

#include <cstring>
#include <stdexcept>
#include <string>

namespace my
{
    double const (&GetPreCounts(char const* encoding))[DIM_CHARS]
    {
#include "PreCountsSJIS.txt"
        if(0 == std::strcmp(encoding, "sjis")){
            return preCounts_sjis;
        }

#include "PreCountsUTF8.txt"
        if(0 == std::strcmp(encoding, "utf8")){
            return preCounts_utf8;
        }

        throw std::runtime_error(
            std::string("no such encoding: ")
            + encoding
        );
    }

} // namespace my
