#ifndef  _54032162_6904_4d21_8ad3_475e3978eb82
#define  _54032162_6904_4d21_8ad3_475e3978eb82

#include "Counter.h"

#define HANKAKU_KANA

namespace my
{
    class CounterSJIS : public Counter
    {
    public:
        CounterSJIS()
        {
            this->ResetState();
        }

        void ResetState()
        {
            c1st_ = 0;
        }

        void operator()(unsigned char c)
        {
            if(c1st_){
                if((0x40 <= c && c <= 0x7e)
                || (0x80 <= c && c <= 0xfc)
                ){
                    Counter::CountUp(c1st_);
                    Counter::CountUp(c    );
                    c1st_ = 0;
                    return;
                }

                Counter::CountUpErrors();
            }

            if((0x81 <= c && c <= 0x9f)
            || (0xe0 <= c && c <= 0xfc)
            ){
                c1st_ = c;
                return;
            }

            c1st_ = 0;

            if(0xa1 <= c && c <= 0xdf){
#ifdef HANKAKU_KANA
                Counter::CountUp(c);
#endif
                return;
            }

            if(c & 0x80){
                Counter::CountUpErrors();
            }
        }

    private:
        unsigned char c1st_;
    };

} // namespace my
#endif //_54032162_6904_4d21_8ad3_475e3978eb82
